
module Commands
  module Init

    class FileDefinition
      attr_accessor :path, :content, :local_path

      # Options should indicate :content or :local_path, but not both
      def initialize(options)
        @path = options[:path]
        @content = options[:content] if options.key?(:content)
        @local_path = options[:local_path] if options.key?(:local_path)
      end
    end
  end
end