
require 'fileutils'

module Conventions

  def Conventions.working_dir
    '/tmp/p4util'
  end

  def Conventions.init_working_dir
    if !File.directory?(working_dir)
      FileUtils::makedirs(working_dir)
    end
  end

  def Conventions.p4droot_dir
    File.expand_path(File.join(working_dir,'p4droot'))
  end

  def Conventions.client_root_dir
    File.expand_path(File.join(working_dir,'clients'))
  end

  def Conventions.init_p4droot_dir
    if !File.directory?(p4droot_dir)
      FileUtils::makedirs(p4droot_dir)
    end
  end

  def Conventions.p4d_log_path
    File.expand_path(File.join(working_dir, 'server.log'))
  end
end