
class Changelist1 < ChangelistModel
  def rank; 1000 end
  @description = 'A couple of new files'
  @adds = [
      FileDefinition.new(:path => 'depot/README.txt',
        :content => <<-END.gsub(/^ {8}/, '')
          This is an example readme.
        END
      ),
      FileDefinition.new(:path => 'depot/dev/memorabilia/kitty.jpg',
        :local_path => 'p4init/287.jpg'
      )
  ]
end

class Changelist2 < ChangelistModel
  def rank; 1001 end
  @description = 'An example add and edit'
  @user = 'jdoe'
  @edits = [
      FileDefinition.new(:path => 'depot/README.txt',
                     :content => <<-END.gsub(/^ {8}/, '')
          This is an example readme.
          Added a second line
      END
      )
  ]
  @adds = [
      FileDefinition.new(:path => 'depot/main/project2/example.txt',
                     :content => <<-END.gsub(/^ {8}/, '')
          Example text file.
      END
      )
  ]
end