# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'p4util/version'

Gem::Specification.new do |spec|
  spec.name          = 'p4util'
  spec.version       = P4Util::VERSION
  spec.authors       = ['Tristan Juricek']
  spec.email         = ['tjuricek@perforce.com']
  spec.summary       = %q{The p4util command line app eases setup of Perforce instances, mostly for testing.}
  spec.description   = %q{The p4util command itself provides other commands, see 'p4util help' after install. This allows you to things like download a p4d, start it, kill it, etc mostly for quick setup of testing systems.}
  spec.homepage      = 'http://perforce.com'
  spec.license       = 'MIT'

  spec.files         = `find . -type f -not -path '*/\.*' -not -name '*.lock'`.split
  spec.executables   = spec.files.grep(%r{^./bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(./test|./spec|./features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'

  spec.add_runtime_dependency 'p4ruby', '~> 2015.1'
  spec.add_runtime_dependency 'rake', '~> 10.3'
end
